Index: squid/src/cf.data.pre
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/cf.data.pre,v
retrieving revision 1.1.1.2
retrieving revision 1.1.1.3
diff -u -r1.1.1.2 -r1.1.1.3
--- squid/src/cf.data.pre	26 Jan 2000 03:23:10 -0000	1.1.1.2
+++ squid/src/cf.data.pre	26 Jan 2000 03:25:01 -0000	1.1.1.3
@@ -1,6 +1,6 @@
 
 #
-# $Id: cf.data.pre,v 1.1.1.2 2000/01/26 03:23:10 hno Exp $
+# $Id: cf.data.pre,v 1.1.1.3 2000/01/26 03:25:01 hno Exp $
 #
 #
 # SQUID Internet Object Cache  http://squid.nlanr.net/Squid/
@@ -35,14 +35,14 @@
 	------------------
 
 	This is the default Squid configuration file. You may wish
-	to look at http://cache.is.co.za/squid/ for documentation,
-	or the Squid home page (http://squid.nlanr.net/) for the FAQ.
+	to look at the Squid home page (http://squid.nlanr.net/)
+	for the FAQ and other documentation.
 
 	The default Squid config file shows what the defaults for
 	various options happen to be.  If you don't need to change the
 	default, you shouldn't uncomment the line.  Doing so may cause
 	run-time problems.  In some cases "none" refers to no default
-	setting at all, whilst in other cases it refers to a valid
+	setting at all, while in other cases it refers to a valid
 	option - the comments for that keyword indicate if this is the
 	case.
 
@@ -54,17 +54,32 @@
 COMMENT_END
 
 NAME: http_port ascii_port
-TYPE: ushortlist
+TYPE: sockaddr_in_list
 DEFAULT: none
 DEFAULT_IF_NONE: 3128
-LOC: Config.Port.http
+LOC: Config.Sockaddr.http
 DOC_START
-	The port number where Squid will listen for HTTP client
-	requests.  Default is 3128, for httpd-accel mode use port 80.
-	May be overridden with -a on the command line.
-
-	You may specify multiple ports here, but they MUST all be on
-	a single line.
+	Usage:	port
+		hostname:port
+		1.2.3.4:port
+
+	The socket addresses where Squid will listen for HTTP client
+	requests.  You may specify multiple socket addresses.
+	There are three forms: port alone, hostname with port, and
+	IP address with port.  If you specify a hostname or IP
+	address, then Squid binds the socket to that specific
+	address.  This replaces the old 'tcp_incoming_address'
+	option.  Most likely, you do not need to bind to a specific
+	address, so you can use the port number alone.
+
+	The default port number is 3128.
+
+	If you are running Squid in accelerator mode, then you
+	probably want to listen on port 80 also, or instead.
+
+	The -a command line option will override the *first* port
+	number listed here.   That option will NOT override an IP
+	address, however.
 
 http_port 3128
 DOC_END
@@ -75,7 +90,7 @@
 DEFAULT: 3130
 LOC: Config.Port.icp
 DOC_START
-	The port number where Squid sends and receives ICP requests to
+	The port number where Squid sends and receives ICP queries to
 	and from neighbor caches.  Default is 3130.  To disable use
 	"0".  May be overridden with -u on the command line.
 
@@ -88,7 +103,7 @@
 DEFAULT: 4827
 LOC: Config.Port.htcp
 DOC_START
-	The port number where Squid sends and receives ICP requests to
+	The port number where Squid sends and receives HTCP queries to
 	and from neighbor caches.  Default is 4827.  To disable use
 	"0".
 
@@ -104,7 +119,7 @@
 DEFAULT: none
 DOC_START
 	This tag specifies a list of multicast groups which your server
-	should join to receive multicasted ICP requests.
+	should join to receive multicasted ICP queries.
 
 	NOTE!  Be very careful what you put here!  Be sure you
 	understand the difference between an ICP _query_ and an ICP
@@ -115,10 +130,7 @@
 	receive replies from multicast group members.
 
 	You must be very careful to NOT use a multicast address which
-	is already in use by another group of caches.  NLANR has been
-	assigned a block of multicast address space for use in Web
-	Caching.  Plese write to us at nlanr-cache@nlanr.net to receive
-	an address for your own use.
+	is already in use by another group of caches.
 
 	If you are unsure about multicast, please read the Multicast
 	chapter in the Squid FAQ (http://squid.nlanr.net/Squid/FAQ/).
@@ -131,12 +143,6 @@
 DOC_END
 
 
-NAME: tcp_incoming_address bind_address
-TYPE: address
-LOC: Config.Addrs.tcp_incoming
-DEFAULT: 0.0.0.0
-DOC_NONE
-
 NAME: tcp_outgoing_address outbound_address
 TYPE: address
 LOC: Config.Addrs.tcp_outgoing
@@ -157,8 +163,6 @@
 	Usage: tcp_incoming_address 10.20.30.40
 	       udp_outgoing_address fully.qualified.domain.name
 
-	tcp_incoming_address	is used for the HTTP socket which accepts
-				connections from clients and other caches.
 	tcp_outgoing_address	is used for connections made to remote
 				servers and other caches.
 	udp_incoming_address	is used for the ICP socket receiving packets
@@ -166,13 +170,15 @@
 	udp_outgoing_address	is used for ICP packets sent out to other
 				caches.
 
-	The default behaviour is to not bind to any specific address.
+	The default behavior is to not bind to any specific address.
 
 	NOTE, udp_incoming_address and udp_outgoing_address can not
 	have the same value (unless it is 0.0.0.0) since they both use
 	port 3130.
 
-tcp_incoming_address 0.0.0.0
+	NOTE, tcp_incoming_address has been removed.  You can now
+	specify IP addresses on the 'http_port' line.
+
 tcp_outgoing_address 0.0.0.0
 udp_incoming_address 0.0.0.0
 udp_outgoing_address 0.0.0.0
@@ -224,6 +230,8 @@
 		     no-netdb-exchange
 		     no-delay
 		     login=user:password
+		     connect-timeout=nn
+		     digest-url=url
 
 		     use 'proxy-only' to specify that objects fetched
 		     from this cache should not be saved locally.
@@ -233,7 +241,7 @@
 		     is 1, larger weights are favored more.
 
 		     use 'ttl=n' to specify a IP multicast TTL to use
-		     when sending an ICP request to this address.
+		     when sending an ICP queries to this address.
 		     Only useful when sending to a multicast group.
 		     Because we don't accept ICP replies from random
 		     hosts, you must configure other group members as
@@ -272,6 +280,15 @@
 		     use 'login=user:password' if this is a personal/workgroup
 		     proxy and your parent requires proxy authentication.
 
+		     use 'connect-timeout=nn' to specify a peer
+		     specific connect timeout (also see the
+		     peer_connect_timeout directive)
+
+		     use 'digest-url=url' to tell Squid to fetch the cache
+		     digest (if digests are enabled) for this host from
+		     the specified URL rather than the Squid default
+		     location.
+
 	NOTE: non-ICP neighbors must be specified as 'parent'.
 
 cache_peer hostname type 3128 3130
@@ -349,6 +366,23 @@
 icp_query_timeout 0
 DOC_END
 
+NAME: maximum_icp_query_timeout
+COMMENT: (msec)
+DEFAULT: 2000
+TYPE: int
+LOC: Config.Timeout.icp_query_max
+DOC_START
+	Normally the ICP query timeout is determined dynamically.  But
+	sometimes it can lead to very large values (say 5 seconds).
+	Use this option to put an upper limit on the dynamic timeout
+	value.  Do NOT use this option to always use a fixed (instead
+	of a dynamic) timeout value.
+
+	If 'icp_query_timeout' is set to zero, then this value is
+	ignored.
+icp_query_timeout 2000
+DOC_END
+
 NAME: mcast_icp_query_timeout
 COMMENT: (msec)
 DEFAULT: 2000
@@ -468,13 +502,6 @@
 	reached.  Thereafter, blocks will be used to store hot
 	objects.
 
-	The values of cache_mem_low and cache_mem_high (below) can be
-	used to tune the use of the memory pool.  When the high mark is
-	reached, in-transit and hot objects will be released to clear
-	space.  When an object transfer is completed, it will remain in
-	memory only if the current memory usage is below the low water
-	mark.
-
 	The default is 8 Megabytes.
 
 cache_mem  8 MB
@@ -494,12 +521,17 @@
 DEFAULT: 95
 LOC: Config.Swap.highWaterMark
 DOC_START
-	The low- and high-water marks for cache LRU replacement.  LRU
-	replacement begins when the high-water mark is reached and ends
-	when enough objects have been removed and the low-water mark is
-	reached. Defaults are 90% and 95%. If you have a large cache, 5%
-	could be hundreds of MB. If this is the case you may wish to
-	set these numbers closer together.
+
+	The low- and high-water marks for cache object replacement.
+	Replacement begins when the swap (disk) usage is above the
+	low-water mark and attempts to maintain utilization near the
+	low-water mark.  As swap utilization gets close to high-water
+	mark object eviction becomes more aggressive.  If utilization is
+	close to the low-water mark less replacement is done each time.
+	
+	Defaults are 90% and 95%. If you have a large cache, 5% could be
+	hundreds of MB. If this is the case you may wish to set these
+	numbers closer together.
 
 cache_swap_low  90
 cache_swap_high 95
@@ -518,6 +550,10 @@
 	hits).  If you wish to increase speed more than your want to
 	save bandwidth you should leave this low.
 
+	NOTE: if using the LFUDA replacement policy you should increase
+	this value to maximize the byte hit rate improvement of LFUDA!
+	See replacement_policy below for a discussion of this policy.
+
 maximum_object_size 4096 KB
 DOC_END
 
@@ -567,16 +603,22 @@
 NAME: cache_dir
 TYPE: cachedir
 DEFAULT: none
-DEFAULT_IF_NONE: @DEFAULT_SWAP_DIR@ 100 16 256
+DEFAULT_IF_NONE: ufs @DEFAULT_SWAP_DIR@ 100 16 256
 LOC: Config.cacheSwap
 DOC_START
 	Usage:
 	
-	cache_dir Directory-Name Mbytes Level-1 Level2
+	cache_dir Type Directory-Name Mbytes Level-1 Level2
 
 	You can specify multiple cache_dir lines to spread the
 	cache among different disk partitions.
 
+	Type specifies the kind of storage system to use.  Most
+	everyone will want to use "ufs" as the type.  If you are using
+	Async I/O (--enable async-io) on Linux or Solaris, then you may
+	want to try "asyncufs" as the type.  Async IO support may be
+	buggy, however, so beware.
+
 	'Directory' is a top-level directory where cache swap
 	files will be stored.  If you want to use an entire disk
 	for caching, then this can be the mount-point directory.
@@ -597,7 +639,7 @@
 	will be created under each first-level directory.  The default
 	is 256.
 
-cache_dir @DEFAULT_SWAP_DIR@ 100 16 256
+cache_dir ufs @DEFAULT_SWAP_DIR@ 100 16 256
 DOC_END
 
 
@@ -607,7 +649,7 @@
 LOC: Config.Log.access
 DOC_START
 	Logs the client request activity.  Contains an entry for
-	every HTTP and ICP request received.
+	every HTTP and ICP queries received.
 
 cache_access_log @DEFAULT_ACCESS_LOG@
 DOC_END
@@ -619,7 +661,7 @@
 LOC: Config.Log.log
 DOC_START
 	Cache logging file. This is where general information about
-	your cache's behaviour goes. You can increase the amount of data
+	your cache's behavior goes. You can increase the amount of data
 	logged to this file with the "debug_options" tag below.
 
 cache_log @DEFAULT_CACHE_LOG@
@@ -634,7 +676,7 @@
 	Logs the activities of the storage manager.  Shows which
 	objects are ejected from the cache, and which objects are
 	saved and for how long.  To disable, enter "none". There are
-	not really utilities to analyse this data, so you can safely
+	not really utilities to analyze this data, so you can safely
 	disable it.
 
 cache_store_log @DEFAULT_STORE_LOG@
@@ -683,7 +725,7 @@
 	programs use.  To disable/enable this emulation, set
 	emulate_httpd_log to 'off' or 'on'.  The default
 	is to use the native log format since it includes useful
-	information that Squid-specific log analysers use.
+	information that Squid-specific log analyzers use.
 
 emulate_httpd_log off
 DOC_END
@@ -801,7 +843,7 @@
 DOC_START
 	If you want the anonymous login password to be more informative
 	(and enable the use of picky ftp servers), set this to something
-	resonable for your domain, like wwwuser@somewhere.net
+	reasonable for your domain, like wwwuser@somewhere.net
 
 	The reason why this is domainless by default is that the
 	request can be made on the behalf of a user in any domain,
@@ -901,7 +943,7 @@
 LOC: Config.Program.pinger
 DOC_START
 	Specify the location of the executable for the pinger process.
-	This is only useful if you configured Squid (during compliation)
+	This is only useful if you configured Squid (during compilation)
 	with the '--enable-icmp' option.
 
 pinger_program @DEFAULT_PINGER@
@@ -909,7 +951,7 @@
 
 
 NAME: redirect_program
-TYPE: string
+TYPE: wordlist
 LOC: Config.Program.redirect
 DEFAULT: none
 DOC_START
@@ -940,12 +982,22 @@
 DEFAULT: on
 LOC: Config.onoff.redir_rewrites_host
 DOC_START
-	By default Squid rewrites any Host: header in redirected requests.
-	If you are running a accelerator then this may not be a wanted effect
-	of a redirector.
+	By default Squid rewrites any Host: header in redirected
+	requests.  If you are running a accelerator then this may
+	not be a wanted effect of a redirector.
 redirect_rewrites_host_header on
 DOC_END
 
+NAME: redirector_access
+TYPE: acl_access
+DEFAULT: none
+LOC: Config.accessList.redirector
+DOC_START
+	If defined, this access list specifies which requests are
+	sent to the redirector processes.  By default all requests
+	are sent.
+DOC_END
+
 
 NAME: authenticate_program
 TYPE: wordlist
@@ -998,6 +1050,28 @@
 authenticate_ttl 3600
 DOC_END
 
+NAME: authenticate_ip_ttl
+TYPE: int
+LOC: Config.authenticateIpTTL
+DEFAULT: 0
+DOC_START
+	With this option you control how long a proxy authentication
+	will be bound to a specific IP address. If a request using
+	the same user name is received during this time then access
+	will be denied and both users are required to reauthenticate
+	them selves.  The idea behind this is to make it annoying
+	for people to share their password to their friends, but
+	yet allow a dialup user to reconnect on a different dialup
+	port.
+
+	The default is 0 to disable the check. Recommended value
+	if you have dialup users are no more than 60 (seconds). If
+	all your users are stationary then higher values may be
+	used.
+
+authenticate_ip_ttl 0
+DOC_END
+
 COMMENT_START
  OPTIONS FOR TUNING THE CACHE
  -----------------------------------------------------------------------------
@@ -1021,17 +1095,60 @@
 DOC_END
 
 
-NAME: request_size
+NAME: request_header_max_size
 COMMENT: (KB)
 TYPE: b_size_t
-DEFAULT: 100 KB
-LOC: Config.maxRequestSize
+DEFAULT: 10 KB
+LOC: Config.maxRequestHeaderSize
 DOC_START
-	Maximum allowed request size in kilobytes.  If people are using
-	POST to upload files, then set this to the largest acceptable
-	filesize plus a few extra kbytes.
+	This specifies the maximum size for HTTP headers in a request.
+	Request headers are usually relatively small (about 512 bytes).
+	Placing a limit on the request header size will catch certain
+	bugs (for example with persistent connections) and possibly
+	buffer-overflow or denial-of-service attacks.
+request_header_max_size 10 KB
+DOC_END
 
-request_size 100 KB
+NAME: request_body_max_size
+COMMENT: (KB)
+TYPE: b_size_t
+DEFAULT: 1 MB
+LOC: Config.maxRequestBodySize
+DOC_START
+	This specifies the maximum size for an HTTP request body.
+	In other words, the maximum size of a PUT/POST request.
+	A user who attempts to send a request with a body larger
+	than this limit receives an "Invalid Request" error message.
+	If you set this parameter to a zero, there will be no limit
+	imposed.
+request_body_max_size 1 MB
+DOC_END
+
+NAME: reply_body_max_size
+COMMENT: (KB)
+TYPE: b_size_t
+DEFAULT: 0
+LOC: Config.maxReplyBodySize
+DOC_START
+	This option specifies the maximum size of a reply body.  It
+	can be used to prevent users from downloading very large files,
+	such as MP3's and movies.   The reply size is checked twice.
+	First when we get the reply headers, we check the
+	content-length value.  If the content length value exists and
+	is larger than this parameter, the request is denied and the
+	user receives an error message that says "the request or reply
+	is too large." If there is no content-length, and the reply
+	size exceeds this limit, the client's connection is just closed
+	and they will receive a partial reply.
+
+	NOTE: downstream caches probably can not detect a partial reply
+	if there is no content-length header, so they will cache
+	partial responses and give them out as hits.  You should NOT
+	use this option if you have downstream caches.
+
+	If you set this parameter to zero (the default), there will be
+	no limit imposed.
+reply_body_max_size 0
 DOC_END
 
 
@@ -1045,8 +1162,18 @@
 	By default, regular expressions are CASE-SENSITIVE.  To make
 	them case-insensitive, use the -i option.
 
-	min and max are specified in MINUTES.
-	percent is an integer number.
+	'Min' is the time (in minutes) an object without an explicit
+	expiry time should be considered fresh. The recommended
+	value is 0, any higher values may cause dynamic applications
+	to be erroneously cached unless the application designer
+	has taken the appropriate actions.
+
+	'Percent' is a percentage of the objects age (time since last
+	modification age) an object without explicit expiry time
+	will be considered fresh.
+
+	'Max' is an upper limit on how long objects without an explicit
+	expiry time will be considered fresh.
 
 	options: override-expire
 		 override-lastmod
@@ -1086,9 +1213,55 @@
 	match, then the default will be used.
 
 Default:
+NOCOMMENT_START
 refresh_pattern		^ftp:		1440	20%	10080
 refresh_pattern		^gopher:	1440	0%	1440
 refresh_pattern 	.		0	20%	4320
+NOCOMMENT_END
+DOC_END
+
+
+NAME: replacement_policy
+TYPE: string
+LOC: Config.replPolicy
+DEFAULT: LFUDA
+IFDEF: HEAP_REPLACEMENT
+DOC_START
+	The cache replacement policy parameter determines which
+	objects are evicted (replaced) when disk space is needed.
+	Squid used to have only a single replacement policy, LRU.
+	But when built with -DHEAP_REPLACEMENT you can choose
+	between two new, enhanced policies:
+
+		   GDSF: Greedy-Dual Size Frequency
+		   LFUDA: Least Frequently Used with Dynamic Aging
+
+	Both of these policies are frequency based rather than recency
+	based, and perform better than LRU.
+
+	The GDSF policy optimizes object hit rate by keeping smaller
+	popular objects in cache so it has a better chance of getting a
+	hit.  It achieves a lower byte hit rate than LFUDA though since
+	it evicts larger (possibly popular) objects.
+
+	The LFUDA policy keeps popular objects in cache regardless of
+	their size and thus optimizes byte hit rate at the expense of
+	hit rate since one large, popular object will prevent many
+	smaller, slightly less popular objects from being cached.
+
+	Both policies utilize a dynamic aging mechanism that prevents
+	cache pollution that can otherwise occur with frequency-based
+	replacement policies.
+
+	NOTE: if using the LFUDA replacement policy you should increase
+	the value of maximum_object_size above its default of 4096 KB to
+	to maximize the potential byte hit rate improvement of LFUDA.  
+
+	For more information about these cache replacement policies see
+	http://www.hpl.hp.com/techreports/1999/HPL-1999-69.html and
+	http://fog.hpl.external.hp.com/techreports/98/HPL-98-173.html.
+
+replacement_policy LFUDA
 DOC_END
 
 
@@ -1106,7 +1279,7 @@
 	The 'reference_age' parameter defines the maximum LRU age.  For
 	example, setting reference_age to '1 week' will cause objects
 	to be removed if they have not been accessed for a week or
-	more.  The default value is one month.
+	more.  The default value is one year.
 
 	Specify a number here, followed by units of time.  For example:
 		1 week
@@ -1114,7 +1287,10 @@
 		4 months
 		2.2 hours
 
-reference_age 1 month
+	NOTE: this parameter is not used when using the enhanced
+	replacement policies, GDSH or LFUDA.
+
+reference_age 1 year
 DOC_END
 
 
@@ -1250,6 +1426,19 @@
 connect_timeout 120 seconds
 DOC_END
 
+NAME: peer_connect_timeout
+COMMENT: time-units
+TYPE: time_t
+LOC: Config.Timeout.peer_connect
+DEFAULT: 30 seconds
+DOC_START
+	This parameter specifies how long to wait for a pending TCP
+	connection to a peer cache.  The default is 30 seconds.   You
+	may also set different timeout values for individual neighbors
+	with the 'connect-timeout' option on a 'cache_peer' line.
+peer_connect_timeout 30 seconds
+DOC_END
+
 NAME: siteselect_timeout
 COMMENT: time-units
 TYPE: time_t
@@ -1298,7 +1487,7 @@
 DOC_START
 	The maximum amount of time that a client (browser) is allowed to
 	remain connected to the cache process.  This protects the Cache
-	from having alot of sockets (and hence file descriptors) tied up
+	from having a lot of sockets (and hence file descriptors) tied up
 	in a CLOSE_WAIT state from remote clients that go away without
 	properly shutting down (either because of a network failure or
 	because of a poor client implementation).  The default is one
@@ -1352,6 +1541,10 @@
 	to denial-of-service by having many ident requests going at
 	once.
 
+	Only src type ACL checks are fully supported.  A src_domain
+	ACL might work at times, but it will not always provide
+	the correct result.
+
 	This option may be disabled by using --disable-ident with
 	the configure script.
 ident_timeout 10 seconds
@@ -1423,6 +1616,7 @@
 	acl aclname urlpath_regex [-i] \.gif$ ...	# regex matching on URL path
 	acl aclname port     80 70 21 ...
 	acl aclname port     0-1024 ...		# ranges allowed
+	acl aclname myport   3128 ...		# (local socket TCP port)
 	acl aclname proto    HTTP FTP ...
 	acl aclname method   GET POST ...
 	acl aclname browser  [-i] regexp
@@ -1462,6 +1656,10 @@
 	  # 
 	  #	acl snmppublic snmp_community public
 
+	acl aclname maxconn number
+	  # This will be matched when the client's IP address has
+	  # more than <number> HTTP connections established.
+
 
 Examples:
 acl myexample dst_as 1241
@@ -1474,6 +1672,10 @@
 acl localhost src 127.0.0.1/255.255.255.255
 acl SSL_ports port 443 563
 acl Safe_ports port 80 21 443 563 70 210 1025-65535
+acl Safe_ports port 280		# http-mgmt
+acl Safe_ports port 488		# gss-http
+acl Safe_ports port 591		# filemaker
+acl Safe_ports port 777		# multiling http
 acl CONNECT method CONNECT
 NOCOMMENT_END
 DOC_END
@@ -1679,6 +1881,15 @@
 unique_hostname www-cache1.foo.org
 DOC_END
 
+
+NAME: hostname_aliases
+TYPE: wordlist
+LOC: Config.hostnameAliases
+DEFAULT: none
+DOC_START
+	A list of other DNS names that your cache has.
+DOC_END
+
 COMMENT_START
  OPTIONS FOR THE CACHE REGISTRATION SERVICE
  -----------------------------------------------------------------------------
@@ -1689,7 +1900,7 @@
 	create cache hierarchies.
 
 	An 'announcement' message is sent (via UDP) to the registration
-	service by Squid.  By default, the annoucement message is NOT
+	service by Squid.  By default, the announcement message is NOT
 	SENT unless you enable it with 'announce_period' below.
 
 	The announcement message includes your hostname, plus the
@@ -2097,7 +2308,7 @@
 DOC_START
 	Target number of objects per bucket in the store hash table.
 	Lowering this value increases the total number of buckets and
-	also the storage maintenance rate.  The default is 20.
+	also the storage maintenance rate.  The default is 50.
 
 store_objects_per_bucket 50
 DOC_END
@@ -2290,7 +2501,7 @@
 LOC: Config.anonymize_headers
 DEFAULT: none
 DOC_START
-        Usage: anonymize_headers allow|deny header_name ...
+	Usage: anonymize_headers allow|deny header_name ...
 
 	This option replaces the old 'http_anonymizer' option with
 	something that is much more configurable.  You may now
@@ -2301,7 +2512,7 @@
 	allow specific headers (thus denying all others), or you
 	may deny specific headers (thus allowing all others).
 
-	For example, to achieve the same behaviour as the old
+	For example, to achieve the same behavior as the old
 	'http_anonymizer standard' option, you should use:
 
 		anonymize_headers deny From Referer Server
@@ -2314,7 +2525,7 @@
 		anonymize_headers allow Content-Encoding Content-Length
 		anonymize_headers allow Content-Type Date Expires Host
 		anonymize_headers allow If-Modified-Since Last-Modified
-		anonymize_headers allow Location Pragma Accept Charset
+		anonymize_headers allow Location Pragma Accept
 		anonymize_headers allow Accept-Encoding Accept-Language
 		anonymize_headers allow Content-Language Mime-Version
 		anonymize_headers allow Retry-After Title Connection
@@ -2359,8 +2570,8 @@
 DEFAULT: @DEFAULT_ERROR_DIR@
 DOC_START
 	If you wish to create your own versions of the default
-	(English) error files, either to customise them to suit your
-	language or company copy the template english files to another
+	(English) error files, either to customize them to suit your
+	language or company copy the template English files to another
 	directory and point this tag at them.
 DOC_END
 
@@ -2412,34 +2623,13 @@
 DOC_START
 	Squid can now serve statistics and status information via SNMP.
 	By default it listens to port 3401 on the machine. If you don't
-	wish to use SNMP, set this to '-1'.
+	wish to use SNMP, set this to "0".
 
 	NOTE: SNMP support requires use the --enable-snmp configure
 	command line option.
 snmp_port 3401
 DOC_END
 
-NAME: forward_snmpd_port
-TYPE: ushort
-LOC: Config.Snmp.localPort
-DEFAULT: 0
-IFDEF: SQUID_SNMP
-DOC_START
-	This configures whether we should be forwarding SNMP requests
-	to another snmpd. The reason for putting this piece of
-	functionality into Squid was to enable access to the system's
-	installed snmpd with minimal changes.  This option is turned
-	off by default, check with your /etc/services for your system's
-	snmp port (usually 161).  We do not use getservbyname() to
-	allow you to set Squid into port 161 and your system's snmpd to
-	another port by changing /etc/services.
-
-	WARNING: Because of Squid acting as a proxy snmpd for system
-	you have to do security checks on THIS snmpd for all objects.
-	Check your snmp_config_file.
-forward_snmpd_port 0
-DOC_END
-
 NAME: snmp_access
 TYPE: acl_access
 LOC: Config.accessList.snmp
@@ -2455,7 +2645,7 @@
 	snmp_access allow|deny [!]aclname ...
 
 Example:
-snmp_access allow public localhost
+snmp_access allow snmppublic localhost
 snmp_access deny all
 DOC_END
 
@@ -2478,7 +2668,7 @@
 	snmp_outgoing_address	is used for SNMP packets returned to SNMP
 				agents.
 
-	The default behaviour is to not bind to any specific address.
+	The default behavior is to not bind to any specific address.
 
 	NOTE, snmp_incoming_address and snmp_outgoing_address can not have
 	the same value since they both use port 3130.
@@ -2497,6 +2687,54 @@
 	queried only when Squid starts up, not for every request.
 DOC_END
 
+NAME: wccp_router
+TYPE: address
+LOC: Config.Wccp.router
+DEFAULT: 0.0.0.0
+IFDEF: USE_WCCP
+DOC_START
+	Use this option to define your WCCP ``home'' router for
+	Squid.   Setting the 'wccp_router' to 0.0.0.0 (the default)
+	disables WCCP.
+wccp_router 0.0.0.0
+DOC_END
+
+NAME: wccp_incoming_address
+TYPE: address
+LOC: Config.Wccp.incoming
+DEFAULT: 0.0.0.0
+IFDEF: USE_WCCP
+DOC_NONE
+NAME: wccp_outgoing_address
+TYPE: address
+LOC: Config.Wccp.outgoing
+DEFAULT: 255.255.255.255
+IFDEF: USE_WCCP
+DOC_START
+        wccp_incoming_address   Use this option if you require WCCP
+				messages to be received on only one
+				interface.  Do NOT use this option if
+				you're unsure how many interfaces you
+				have, or if you know you have only one
+				interface.
+
+	wccp_outgoing_address	Use this option if you require WCCP
+				messages to be sent out on only one
+				interface.  Do NOT use this option if
+				you're unsure how many interfaces you
+				have, or if you know you have only one
+				interface.
+
+        The default behavior is to not bind to any specific address.
+
+        NOTE, wccp_incoming_address and wccp_outgoing_address can not have
+        the same value since they both use port 2048.
+
+wccp_incoming_address 0.0.0.0
+wccp_outgoing_address 0.0.0.0
+DOC_END
+
+
 COMMENT_START
  DELAY POOL PARAMETERS (all require DELAY_POOLS compilation option)
  -----------------------------------------------------------------------------
@@ -2560,7 +2798,7 @@
 LOC: Config.Delay
 DOC_START
 	This is used to determine which delay pool a request falls into.
-	The first matched delay pool is always used, ie, if a request falls
+	The first matched delay pool is always used, i.e., if a request falls
 	into delay pool number one, no more delay are checked, otherwise the
 	rest are checked in order of their delay pool number until they have
 	all been checked.  For example, if you want some_big_clients in delay
@@ -2700,11 +2938,13 @@
 NAME: uri_whitespace
 TYPE: uri_whitespace
 LOC: Config.uri_whitespace
-DEFAULT: deny
+DEFAULT: strip
 DOC_START
 	What to do with requests that have whitespace characters in the
 	URI.  Options:
 
+	strip:  The whitespace characters are stripped out of the URL.
+		This is the behavior recommended by RFC2616.
 	deny:   The request is denied.  The user receives an "Invalid
 		Request" message.
 	allow:  The request is allowed and the URI is not changed.  The
@@ -2718,7 +2958,7 @@
 	chop:	The request is allowed and the URI is chopped at the
 		first whitespace.  This might also be considered a
 		violation.
-uri_whitespace deny
+uri_whitespace strip
 DOC_END
 
 NAME: broken_posts
@@ -2756,13 +2996,24 @@
 	certain you understand what you are doing.
 DOC_END
 
+NAME: mcast_miss_ttl
+IFDEF: MULTICAST_MISS_TTL
+TYPE: ushort
+LOC: Config.mcast_miss.ttl
+DEFAULT: 16
+DOC_START
+	This is the time-to-live value for packets multicasted
+	when multicasting off cache miss URLs is enabled.  By
+	default this is set to 'site scope', i.e. 16.
+DOC_END
+
 NAME: mcast_miss_port
 IFDEF: MULTICAST_MISS_STREAM
 TYPE: ushort
 LOC: Config.mcast_miss.port
 DEFAULT: 3135
 DOC_START
-	This is the port number to be used in conjuction with
+	This is the port number to be used in conjunction with
 	'mcast_miss_addr'.
 DOC_END
 
